Bug 798407 - embedded cartridge proxy fails and stuffs invalid code into the variable
embedded cartridge proxy fails and stuffs invalid code into the variable
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 14:41 EST by Rob Millner
Modified: 2015-05-14 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-02 16:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2012-02-28 14:41:23 EST
Description of problem:
The expose-port hook on embedded cartridges fails.  Instead of trapping the failure, the error message gets stuffed into the proxy port variable triggering syntax errors in any script which reads it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Launch a dev env
2. Create an app
3. Log in as root
4. Run the expose-port hook

ex:
/usr/libexec/li/cartridges/embedded/mysql-5.1/info/hooks/expose-port exposeConcealHook epopxqo b6de2d4d350841889d32898040db1f99

  
Actual results:

/var/lib/libra//b6de2d4d350841889d32898040db1f99//.env/OPENSHIFT_DB_PROXY_PORT: line 2: Dest: command not found


Expected results:
A positive result from the script.  For example:
CART_DATA: PROXY_HOST=exposeConcealHook-epopxqo.dev.rhcloud.com
CART_DATA: PROXY_PORT=35531
CART_DATA: HOST=120.0.250.1
CART_DATA: PORT=3306

Additional info:
Comment 1 Rob Millner 2012-02-28 14:42:16 EST
Resolved with commits:
08def1539d2ad3a00c1b4255ac328bb154f92341
cc1dbe3c116df4fd09f3a749dfa3728f4800e2ef
f31667f675074314eef59defaae2ad4f05b19381
Comment 2 Meng Bo 2012-02-29 03:03:44 EST
verified on devenv_1649, issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.